The wikis are now using the new authentication system.
If you did not migrate your account yet, visit https://idp-portal-info.suse.com/

Bugs:Most Annoying Bugs 10.1

Şuraya atla: kullan, ara

En sıkıcı hatalar ve önerilen çalışmalar için:

Hata raporlama hakkında genel bilgiler için, Hata Bildir sayfasına bakınız.

SUSE Linux 10.1 RC3

RC1 ve RC2'ye karşın RC3 için sadece delta ISOlar bulunmaktadır.Yükleme Talimatlarının Delta ISOları uygulama kısmına bakarak nasıl kullanacağınızı görebilirsiniz.

  • Ön tanımlı dil için dile bağlı paketler daha yüklenmedi. Hata 162064
  • YaST2 pek çok paket için paket tanımını veya özetini göstermiyor
  • Güncelleme kaynağı iki kere eklendi
Hata 170113

OSS olmayan yazılımlar için özel ek CD'sini [1] buradan bulabilirsiniz.

SUSE Linux 10.1 RC2

RC2 için sadece delta ISOlar bulunmaktadır.Yükleme Talimatlarının Delta ISOları uygulama kısmına bakarak nasıl kullanacağınızı görebilirsiniz.

  • Ön tanımlı dil için dile bağlı paketler daha yüklenmedi. Hata 162064
  • 10.1 Beta/RC'den her güncelleme sisteme fazladan bir eklenti yapıyor Hata 160792.
  • Intel işlemci seti kullanan, özellikle i810 kullanan diz üstülerde, X11 kurulumu çökmektedir. (Hata 168618). X11 donanım ayarları için "noaccel" komutuyla bu RC3'te çözülecektir., tüm Intel/Uniwill için hızlandırılmamış biçimde çalışacak. :-(

OSS olmayan yazılımlar için özel ek CD için [2].

SUSE Linux 10.1 RC1

  • Büyük miktardaki testler sadece sistem güncelleme ile ilgili bir kaç konuyu göstermektedir. Herkesin sistemini güncellerken dikkatli olması gerektiğini söyleyebilirim - ve işletim sistemini güncellemeyin (aşağıya bakınız).
  • Bootloader "SUSE Linux 10.1 10.1" gösteriyor Hata 165466
  • Paketlerin rug/zen-yükleyicisi ile kaynağından yüklenmesi sırasında sistemde çökme oluşmakta Hata 165597. Bunun için ftp sunucusuna sabit paketler koyduk(zen-updater, rug, libzypp-zmd-backend) [3] .
  • Öceki beta denemesinden güncellemede çok fazla paket silinmektedir. Bunun için kurulum önerisine bakınız.

Hata 165798

  • Her güncelleme sisteme fazladan bir seçim ekliyor . Hata 160792
  • Kurulum kaynakları sistemde hazır değil . Hata 165825
  • YaST2 Xen modülü VM başlatamıyor (Hatalar dolmaya başladı).
  • menu.lst kurumdan sonra kırılıyor- menu girişindeki küresel ayarları barındırmakta, bu menünün önyüklemeye girmesini önlemekte. Hata 164711
  • OpenOffice.org Calc'ı bozuk

OSS olmayan yazılımlar için özel ek CD için [4].

SUSE Linux 10.1 Beta9

  • "Update Configuration" sırasında sisteminizin Online Güncellemeler için kayıt ettiyseniz ve hata mesajıyla karşılaşıyorsanız, "Ok" basın ve tekrar denemeye çalışın.
  • Başarılı olarak kayıttan sonra, Online Güncellemeler size sunulacaktır. Arşiv tam olarak güncel olmayabilir ve eğer öyleyse Online Güncelleme için test edilmesi gereken pek çok yamaya sahiptir.
  • Yükleme sürüm notlarının kurulumu RPM işaret kontrolünden dolayı sorun yaratmakta .
  • x86-64'lerde kayıt kurulumu
    /usr/lib/zmd/query-pool not found during registration
    hatası ile bozulmaktadır.

Hata 162302

OSS olmayan yazılımlar için özel bir ilave CD'si için: [5]. Eğer bu yükleme sırasında kullanılan ise, aşağıdakileri uygulayın

  • İlave CD çok fazla Cd değişimi istiyor
Hata 159679

SUSE Linux 10.1 Beta8

  • Kurulum sırasında çağrılınca Windows Domain Membership iletişim kutusu

("Samba authentification"), boş.

  • RPM güncellemeden önce şaşırıyor: Güncelleme yaparsanız, eğer hata raporu istenirse bunu sağlayabilmek için güncellemeye başlamadan ÖNCE RPM veritabanının XML yedeğini oluşturunuz.
  • rug x86_64 yerine i586 ikilisini yüklüyor. Hata 158187
  • x86-64 sistemlerinde başlangıç çalışma seviyesi 3 (i386'larda değil). Hata 158602
  • xen, hazırda bulunmayan fakat [6]'den bulabileceğiniz xen-libs paketlerine ihtiyaç duymamaktadır. Hata 158831
  • zmd tarafından kullanılan parse-metadata yardımcı programı çok fazla bellek kullanmakta, fabrika ağacındaki gibi büyük kaynaklara ihtiyaç doğurmaktadır. Hata 157474.
  • SUSE Linux >= 9.3 ile şifrelenmiş disk bölümlerine sahip sistemi güncellerken, /etc/cryptotab yanlış şifreleme metodu olan "twofishSL92" olarak değişebilmektedir, buda dosya sistemini bozar.

Hata 153576
Uygulama: Şifre yöntemini "twofish256" olarak değiştirin, (tabiki şifreli bölümünüz 9.2 veya daha eski sürümle yapıldıysa).

Güncellemeye başlamadan ÖNCE RPM veri tabanının XML yedeğini oluşturmak

Sorunlu sistemlerde RPM veritabanın yedeğini oluşturmak oldukça rahatlık sağlar. libredcarpet XML yedeklemesi için oldukça iyi bir araçtır.

i386 için önceden yapılmış ikililer burada:

[7] (GWDG mirror)

Bu dosyaları yükleyin ve bir klasöre açın, örneğin /tmp/dump_rpm

Sadece LD_LIBRARY_PATH bu klasöre ayarlayın , örneğin

 LD_LIBRARY_PATH=/tmp/dump_rpm:$LD_LIBRARY_PATH /tmp/dump_rpm/cur_to_xml

Bu XML stdout olarak yazacaktır ve bunu bir dosyaya kayıt edebilirsiniz. Eğer güncelleme veya paket yükleme ile ilgili hatalar oluşursa bu dosyayı Bugzilla girdinize ekleyiniz.

i386 olmayan mimarilerde, ftp sunucusundan tar-dosyasını alın ve yeniden işleyin. SLES9 için aşağıdaki satırı kullanın:

./configure --enable-backend-rpm --disable-python --disable-mono
--enable-rpm-version=4.1.1 --disable-static

--enable-rpm-version parametresinden sonra diğer dağıtımlara ihtiyaç olursa

Oluşturma bittikten sonra, libredcarpet-7.0.0/tools'da cur_to_xml ikilisini bulacaksınız.

SUSE Linux 10.1 Beta7

İçsel kullanım için sınırlı sayıda ISO olduğu için, Beta7'yi es geçtik.

SUSE Linux 10.1 Beta6

  • Kurumdan sonra CD 1, CD sürücüsünde kalmalı. Önyükleme sırasında CD'yi çıkarmayın, ve YaST CD 2'yi istemesini bekleyin. Diğer türlü CD 2-5'in kurumlarında sorun oluşacaktır. Hata 153073.
  • Disk bölümleyicisi bazı durumlarda bozuluyor Hata 151947. Bunun sonuçları:
    • karışık dosya sistemi türleri - ext2 seçersiniz ve disk bölümünüz reiserfs ile formatlanır
    • sistemin fstab boyunca çifte veya tamamen engelli girişler oluşur
    • standart bölümlemeyi uygun olmayan tekliflerle sunar
  • Sürüm notlarının yüklenmesinde hatalar oluşabilir
  • Güncelleme yüklenmesinin online testinde hata oluşur.

SUSE Linux 10.1 Beta5

Beta4'ün pek çok hatası düzeltilsede bu beta sürümü hala üretilmeye hazır değil

  • Kurulumdan sonra CD 1 sürücüde kalmalı, ön yükleme sırasında onu çıkarmayın ve YaST'ın CD 2'yi istemesini bekleyin.. Diğer türlü kurulumun devamında hata oluşacaktır Hata 153073.
  • Tamamlanmayan yeni paket yöneticisinin çalışması sırasında, aşağıdakilere dikkat edin:
    • Bazı istatistikler çalışmayacaktır, örneğin "Size of packages to install: 0" - veya "Number of packages to install: 0", veya "Software: Default system (0)".
    • Grafiksel paket yöneticisinin sınırlı sayıda "görüntüsü" vardır, şu anda tüm paketlerin listesini alacaksınız ve sadece onların içinde arama yapabileceksiniz.
    • Kurulumdan sonra, YaST paketleyicisine bakarsanız, kurulu tüm paketlerin iki kez listelendiğini göreceksiniz.
    • Yeni bir yükleme kaynağının eklenmesi çalışmıyor.
    • Dile bağlı paketler doğru olmayabilir. Bunun sonucunda sizin istemediğiniz package-$lang'lar yüklenebilir.
    • 10.1 Beta3'ten bile olsa önceki sürümden güncelleme çalışmayabilir. Hata 153142
    • Paket kurulumu sırasında iptal düğmesi çalışmayabilir. Hata 150379
  • Önceki sürümlerden güncelleme sırasında halihazırda bulunmayan paketler silinebiliyor - CD1'in başında ve tekrar CD1'in sonunda. Bir kaç kez Yoksay tuşuna basarak devam edebilirsiniz. Hata 153135
  • Disk bölümleyici bazı durumlarda bozuluyor Hata 151947. Bunun sonucunda:
    • Dosya sistemi uzantıları karışıyor - ext2'yi seçersiniz ve disk bölümü reiserfs ile formatlanır.
    • Sistemin fstab'ı boyunca çift veya tamamen anlaşılmazı güç girişler oluşturur.
    • Standart bölümleme sırasında uygun olmayan tanımlar oluşturur.
  • Sürüm notlarının yüklenmesinde sorunlar oluşabilir.
  • Güncellemelerin yüklenmesiyle ilgili online testte sorun çıkabilir.
  • Grafiksel kayıt yöneticisinin başlamasından sonra kurulumun ikinci bölümü metin modunda devam ediyor Hata 153066.
  • Beta5'te paket yöneticisindeki bir hatadan dolayı kurulum sırasında X11 ayarları tamamen sorunlu. Asıl X11 sürücüsü yerine fbdev veya kimi durumda da vesa sürücüleri ayarlanıyor. Geçerli bir X11 ayarları için xdm'yi durdurun ("rcxdm stop") ve ayarlar için SaX2 kullanın ("sax2 -r"). ATI kullanıcıları SaX2'den önce sürücülerini güncellemelidirler. Aksi halde, boş bir ekranla karşılaşırsınız. i386/x86_64 için RPM sürücüleri için Hata 153367 ve aynı zamanda sabit rpm klasörü altında FTP serverındadır.

SUSE Linux 10.1 Beta4

Beta4 oldukça pürüzlü sorunlara sahip ve yüklemeden önce aşağıdakileri dikkatlice okuyunuz.


  • Kurulumdan sonra CD1 sürücünün içinde kalmalı, ön yükleme sırasında sürücüden çıkarmayın ve YaST'ın CD2'yi istemesini bekleyin. Aksi halde kurulumun devamında sorunlar çıkacaktır.
  • Tam olarak tamamlanmayan yeni paket yöneticisi içermesinden dolayı aşağıdaki düzgün çalışmayan parçalara dikkat edin:
    • ncurses kurulumu desteklenmiyor.
    • Bazı istatistikler çalışmıyor, örneğin "Size of packages to install: 0" - veya "Number of packages to install: 0", veya "Software: Default system (0)".
    • Grafiksel paket yöneticisi sınırlı sayıda görünüm lisesine sahip, şimdilik sadece tüm paketlerin listesini görüp onların içersinde arama yapabilirsiniz.
    • Sadece temiz kurulum çalışıyor. Eski sürümlerden güncelleme çalışmıyor!
    • Sadece seçimlerin eklenmesi çalışıyor. Bir seçimi çıkarmak isterseniz, o paketteki tüm seçenekleri çıkartın ve çözücüyü "Check" butonu ile elle çalıştırın.
    • Kurulumdan sonra, YaST paketleyicisine girerseniz, kurulu tüm paketlerin iki kere yazıldığını göreceksiniz.
    • Dile bağlı paketler doğru ayarlanmamış. Bunun sonucu olarak istenen dil için gerekli olmayan package-$lang paketleri yüklenir.
    • Paketlerin kurulumu sırasından kurulumu durduramazsınız.
    • Network Kurulumu: smb/cifs çalışmıyor, http, nfs ve ftp çalışıyor.
    • Ftp kurulumu sırasında yanlış mimariler için paketler yüklenebiliyor Hata 151933 ve Hata 151954.
  • Disk bölümleyici bazı durumlarda arızalanıyor Hata 151947. Bunun sonucu:
    • Dosya sistemi uzantıları karışıyor - ext2'yi seçersiniz ve disk bölümünüz reiserfs ile formatlanır
    • Sistemin fstab bölümünde çift veya tamamen anlaşılmaz girişler oluşabilir
    • Standart bölümlemeyi hatalı yapabilir
  • RAID yazılımı üzerinden LVM ile kurulum hataya yol açabilir Hata 152237
  • Sürüm notlarının yüklenmesinde hata oluşabilir.
  • İlk kurulum ekranı dışında sürüm notları gösterilmez.
  • Güncelleme yüklenmesinin online testi çalışmayabilir.
  • VMWare kurulabilir - fakat YaST donanım bilginizi göstermeyebilir(ekran kartı, yazıcı ...). Bu adımda "next" tuşuna basın - X11 serverı çalışmayacak, fakat genede sanal makineyi ayarlayabileceksiniz.
  • Üçüncü çeviri çevrimi tamamlandı; pek çok bölüm uygun olarak yerelleştirildi. Sürüm notları ve bazı menü girişleri kayıp. YaST küçük hatalarla çevrildi.(almanca için durum dosyaları status-de.all ).

SUSE Linux 10.1 Beta3

  • SATA CDROM/DVDlere ulaşılamıyor (Bu bir x86-64 hatası olabilir). Özellikle bunlardan kurulum mümkün değil.
  • Çevirinin ilk turu yapıldı ve değişiklikler eklendi. Fakat herşey tercüme edilmedi, lütfen tercüme ile ilgili hataları sadece beta4 için bildirin.
  • X uygulamaları çökerse, [8] adresinden fontconfig RPM güncellemelerini yükleyin. Hata #147292.
  • Mevcut çekirdeğimiz hataları tespit edip önlemede bize yardımcı olacak hata arındırma özelliğine sahiptir. Bu sadece geçici bir önlem.
  • Gnome tabanlı sistemlerde beagle çalıştırmak için ayrıca "beagle-gui" kurulmalı; beta4 için onarıldı Hata #144606 ve Hata #147568

SUSE Linux 10.1 Beta2

sadece PPC hataları bölümün sonunda.

  • KDE'nin ortam yürütücüsü çalışmıyor (bilgisayarım yanlış bilgileri gösteriyor ve yeni bir medya yükleyince sorgulama ekranı açılmıyor). Deneyin: Kurulumdan sonra KDE'ye bağlanmadan önce /opt/kde3/share/services/kded/networkstatus.desktop komutunu çıkarın.
  • X uygulamaları çok yavaş çalışmaya başlarsa, fontconfig ve fonts-config RPM'leri [9]'den güncelleyin. Eğer güncellemeden ve "SuSEconfig --module fonts" çalıştırdıktan sonra hala çalışmassa, root olarak "fc-cache -v -f" çalıştırın.
  • Konsolda fazla sayıda Perl uyarıları var. "/usr/share/YaST2/modules/LibStorage/StorageInterface.pm line 119'da geçersiz içerikte yanlış sabit kullanımı". Zararsıdır ve Beta3'te düzeltildi. Hata #144296
  • "Online Güncelleme" kurulum kaynağı mevcut değil, ve online güncelleme küçük uyarısı programa dahil değil.
  • Beta2 tam olarak tercüme edilmedi. Lütfen eksik tercümeleri raporlamayın; sadece zayıf/hatalı tercümeleri bildirin.
  • LVM üzerinden ana dosya sistemli kurulum mümkün değil. Hata #145928

PPC only

Beta1 hatalarına da bakınız.

  • Radeon sürücüleri GNOME masa üstünde çöpler oluşturmakta. /etc/X11/xorg.conf'te araçlar bölümünde EXA özelliğini açın ve
Option "AccelMethod" "EXA" 

satırını ekleyin. Daha fazla bilgi için, Hata#144401

SUSE Linux 10.1 Beta1

Sadece PPC hataları bölüm sonunda.

  • Kurulum sırasında firewallu açık bırakmak kurulumun veya internet testinin çalışmamasına yol açabilir Hata #143751.
  • NetworkManager kullanmaktaysanız, yüklemeden sonra network ayarlanmaz Edit /etc/sysconfig/network/config ve set:
    NETWORKMANAGER=yes  (instead of no)
    ve sonra "rcnetwork restart" komutunu çalıştırın Hata #144139.
  • NetworkManagerın bazı hataları onarılmıştır. Eğer hala NetworkManagerı kuramıyorsanız,networkün ilk satırlarında sorun vardır. Hata çözülmüştür. Hata#144032
  • GNOME: Ana menüden "Search for Files" yazılması beta 1'de sorunludur, komut satırında gnome-arama-araçlarını kullanın. Hata#144345
  • KDE HAL tarafından yanlış anlaşıldığı ve tanımlandığı için yeni cihazları doğru tanımayabilir. Hata #142598
  • 64-bit x86-64 kurulumu için yazılım seçici paket seçimi ile ilgili sorunlar çıkarabilmektedir. Paket yöneticisine giriniz ve 32 bitler için tutarsızlıkları gösteren diyalog kutusunda "Ignore all" seçeneğini seçiniz.
  • Ide ve girdi modüllerini otomatik yüklemek için , /etc/udev/rules.d/80-sysconfig.rules son iki satırını aktive edin.
  • Eğer X uygulamaları yavaş başlıyorsa ve 10.1-alpha'dan önceki sürümlerden güncellediyseniz , /var/cache/fontconfig/* ve ana klasörünüzdeki ~/.fonts.cache-2 içeriklerini temizleyin . Hata #143715
  • Temalama tamamlanmadığı için, hala 10.0 temaları kullanılmakta.
  • "Online Güncelleme" kurulum kaynakları mevcut değildir, ve online güncelleme hatırlatıcısı da yoktur.
  • Beta1 tamamen çevrilmemiştir. Lütfen eksik tercümeleri raporlamayın; sadece zayıf tercümeleri birdirin (yanlış kelime dizimi gibi...).
  • ncurses YaST yükleyicisi bozuktur. Hata #144594, içindeki hiçbir paketi seçemezsiniz.
  • Konsolda çok miktarda Perl uyarıları vardır. "Useless use of a constant in void context at /usr/share/YaST2/modules/LibStorage/StorageInterface.pm line 119". Bu zararsızdır ve Beta 3 için onarılmıştır. Hata #144296

Sadece PPC

  • PPC sistemlerini 8250 seri bağlantısıyla önyüklemenin hiç bir yolu yoktur. Yeni bir çekirdek gerekmektedir. [10] adresinden önyükleme ISO'sunu yükleyin.
  • 256MB veya daha küçük Mac.lar önyükleme yapamaz. OpenFirmware'de erken çekirdek çökmeleri oluşabilir. CD1/suseboot/linux32.gz ve initrd32 dosyalarını diskinize kopyalayın ,her iki dosyayı da bootloader ayarlarına kopyalayın. Sonucu şu an için bilinmiyor.
  • Radeon sürücüleri bazı GNOME masaüstlerinde çöplere yol açmakta. /etc/X11/xorg.conf'da araçlar bölümünde EXA özelliğini açın. Daha fazla ayrıntı için: Hata 144401

SUSE Linux 10.1 Alpha4

  • Kullanıcı konsola ilk kez bağlanırsa hata oluşuyor, ikincisinde kayıt çalışıyor.
  • Grafiksel kayıt çalışmıyor. Çalışmalar: Konsola bağlanın ve /etc/X11/xdm/Xsession gibi değiştirin:
--- /etc/X11/xdm/Xsession	2005-11-21 22:22:10.000000000 +0100
+++ /etc/X11/xdm/Xsession	2005-12-15 12:09:03.000000000 +0100
@@ -102,7 +102,7 @@
     */rzsh)	shell=/bin/zsh	;;
     *)		shell=/bin/bash	;;
     esac
-    exec -la ${shell} ${shell} -c ${1+"exec $@"}
+    exec -l -a ${shell##*/} ${shell} -c ${1+"exec $@"}
 }

SUSE Linux 10.1 Alpha3

  • Xserver çakışmasından dolayı acpid çalışmayabilir (Hata #133440) - ve powersave'de çalışmayabilir. Çalışmalar devam ediyor (Hata raporuna bakınız, madde #8).
  • İlk kurulumdan sonra kdm çalışmıyor!


Atheros WLAN 10.1'i Alpha3'de kullanmak

/etc/udev/rules.d/31-net_create_names.rules'la aşağıdaki satırları ekleyin :

SUBSYSTEM=="net", ACTION=="add", KERNEL=="wifi*", RUN="/usr/sbin/wlanconfig ath create wlandev %k wlanmode sta"

Madwifi sürücüsünü tekrar yükleyin (rmmod ath_pci; modprobe ath_pci). Şimdi ath0 arayüzüne sahipsiniz.

WLAN cihazını YaST ile ayarlayın, ayar adı olarak "ath0" kullanın.

/etc/sysconfig/network/ifcfg-wlan-ath0 satırına şunları ekleyin:

WIRELESS='yes'

HWD_DRIVER='ath_pci'

İkinci satır olmadan çalışacaktır, fakat WPA kullanmak için gereklidir.

Atheros cihazları şu anda NetworkNanager ile çalışmamaktadır.

Wpa için, ftp://ftp.suse.com/pub/people/aj/wpa_supplicant'den güncelleme paketlerini kullanın

SUSE Linux 10.1 Alpha2

  • libfontconfig güncellemeden veya kurulumdan sonra çöküyor, bu KDE veya Gnome gibi pek çok GUI uygulamasını etkiliyor. Ana dizindeyken elle "fc-cache --force" komutunu çalıştırmalısınız. Hata 128080
  • pilot-link 0.12pre4 sürümüne güncellenmiştir, tüm paketler bu sürüme karşı yapılmamıştır.
  • Tüm gecko tabanlı tarayıcılar için gecko 1.8 motoru kullanılmıştır, tüm paketler bu sürüme karşın yapılmamıştır.
  • Yeni Mono versiyonu iFolder veya tekli-hata ayıklayıcı gibi kimi C# uygulamaları yapımını kırmıştır.
  • Yast2-donanım-belirleme paketi ön tanımlı olarak yüklenmez. Paket seçiliminde elle seçiniz, aksi halde yast donanımınızı ayarlayamaz.

Hata 133641

SUSE Linux 10.1 Alpha1 (Kod adı "Auckland")

  • Bu sürüm "10.0.42 Alpha1" olarak bilinir
  • kdepim3 kurulamıyor. ISO'nun yanı sıra güncellenmiş başka bir yansısını da koyduk kdepim directory.
  • Yamaların yüklenmesi ayarlanamdığından internet testleri konmamıştır.

SUSE Linux 10.0

Başarılı şekilde önlenmiş hatalar için Bugs:Most Annoying Bugs 10.0 .